package form_faces;

import logica.LogicaFacade;

public class ServiceLocator {
  private LogicaFacade service;
  private static ServiceLocator instance;

  private ServiceLocator() throws Exception{
  }
  
  public static final ServiceLocator getInstance() {
	  if (instance==null) {
		  try {
			  instance = new ServiceLocator();
		  } catch (Exception e) {
			  
		  }
		 	  
	  }
	  return instance;
  }

  public LogicaFacade getFacade() throws Exception {
    if (service == null) {
		try{
			service = new LogicaFacade();
		}
		catch(Exception e){
			e.printStackTrace();
		}
    }
    return service;
  }
}
