package form_faces.actions;

import formFaces.action.*;
import form_faces.ServiceLocator;
import form_faces.classes.*;
import logica.LogicaFacade;
import integracio.baseDades.*;

import java.util.List;
import java.util.ArrayList;
import java.util.Iterator;

public class Desassigna implements Action {
	
	public void execute(ActionForm af) throws Exception{
		LogicaFacade lf = ServiceLocator.getInstance().getFacade();
		lf.desassigna(af.getValor("maquina"));
		List<Maquines> mqs = lf.getMaquines();
		List<Classe> maqs = new ArrayList<Classe>();
		for (Iterator<Maquines> it = mqs.iterator(); it.hasNext();){
			Maquines mq = it.next();
			Maquina m = new Maquina();
			m.setValor("codi", mq.getCodi());
			m.setValor("descripcio", mq.getDescripcio());
			maqs.add(m);
		}
		af.setLlista("maquines", maqs);
	}

}
